Re: [rails-br] Re: Atualizar o BD padrão do Rails 2.x (SQLite) [RESOLVIDO]

1 visualização
Pular para a primeira mensagem não lida

Paulo Cassiano

não lida,
3 de abr. de 2008 11:57:2003/04/2008
para rail...@googlegroups.com
Olá a todos!

>
>>
Chegou a dar permissão

chmod 755

ao sqlite.bin?
>>
>


Não, não adiantou alterar as permissões, nem para 777 nem para 755...

A boa notícia - minha especialidade - é que eu resolvi o problema e vou compartilhar a solução aqui. Elaborei um breve e sucinto tutorial, muito útil. Se você quiser compartilhar este tutorial, fique à vontade, porém mantenha meus créditos!


Como atualizar o SQLite para a última versão (no Ubuntu 7.10)

O Ubuntu 7.10 inclui em um de seus repositórios de software a versão 3.4.2 do SQLite, base de dados padrão da versão 2.x do framework  Rails. Para atualizar para a última versão (neste momento, 3.5.7) siga os seguintes passos:

1) Baixe a nova versão aqui ;

2) Descompacte o arquivo tarball com o seguinte comando: sudo tar -zxvf sqlite-3.5.7.tar.gz <ENTER>. Digite a senha de root, e o sistema irá descompactar os arquivos para um diretório chamado sqlite-3.5.7

3) Mova-se para o diretório onde os arquivos foram descompactados com o seguinte comando: cd sqlite-3.5.7 <ENTER>

4) Crie o arquivo makefile com o seguinte comando: ./configure <ENTER>. Aguarde o sistema construir a tarefa.

5) Faça o build do fonte com o seguinte comando: make <ENTER>. Aguarde o sistema construir a tarefa.

6) Instale com o seguinte comando: install <ENTER>. Aguarde o sistema construir a tarefa.

7) Teste a instalação com o seguinte comando: sqlite3 <ENTER>. O sistema retornará a seguinte saída:

SQLite version 3.5.7
Enter ".help" for instructions
sqlite>



Pronto! Agora você já pode usar o SQLite para criar bases de dados para seus projetos Rails. Você pode sair do shell do SQLite com o seguinte comando: .e <ENTER>

O SQLite é uma base de dados sensacional naquilo em que se propõe: ser um BD embarcado. Grandes e importantes empresas de tecnologia, como a Adobe, a Mozilla Foundation e a Symbian já apostam no chamado SQLite Consortium . Vale a pena aprender um pouco mais sobre!

Mas, lembre-se: Se você quiser compartilhar este tutorial, fique à vontade, porém mantenha meus créditos!


Forte abraço,

Paulo Cassiano.



2008/4/2 Bruno Azisaka Maciel <bruno....@gmail.com>:

Chegou a dar permissão

chmod 755

ao sqlite.bin?

Atenciosamente,

Bruno Azisaka Maciel
Desenvolvedor Web (Ruby on Rails)
(11) 7641-1899
br...@bubble.com.br

On Apr 1, 2008, at 6:28 PM, Paulo Cassiano wrote:

> A POG não funcionou...
>
>
> Forte abraço,
>
> Paulo Cassiano.
>
>
>
> 2008/3/31 <bruno....@gmail.com>:
>
>>
>> Acho que daria para tentar um POG, hehe
>>
>> Desinstala o sqlite do apt-get
>>
>> Joga o .bin para /usr/bin
>>
>> E renomeia para sqlite3 =D
>>
>> É uma forma ne, a nao ser que vc compile e instale tudo.
>>
>> On 3/31/08, Paulo Cassiano <pcas...@gmail.com> wrote:
>>> Olá a todos!
>>>
>>> Que o *Rails 2.x* trabalha com o *SQLite por padrão*, todo mundo
>>> aqui já
>> tá
>>> careca de saber.
>>>
>>> Estou enfrentando um problema para atualizar este banco. *Uso o
>>> Ubuntu
>>> 7.10*e, ao instalar o BD via
>>> *apt-get*, o sistema instalou a versão *3.4.2*. Porém no site do
>>> SQLite,
>> *a
>>> última versão é a 3.5.7*.
>>>
>>> Já tentei remover a versão atual e re-instalar, mas o sistema
>>> insiste em
>>> instalar a versão 3.4.2; *Já baixei o .bin da versão 3.5.7, porém só
>> consigo
>>> rodá-lo quando estou no diretório em que ele está salvo*, ao passo
>>> que
>>> quando estava com a versão 3.4.2, eu "chamava" o SQLite a partir de
>> qualquer
>>> ponto (diretório) do shell...
>>>
>>> *Alguém faz idéia de como eu posso atualizar o SQLite para a versão
>>> 3.5.7*de uma vez por todas, para "chamá-lo" via shell, de qualquer
>>> lugar??
>>>
>>>
>>> Forte abraço,
>>>
>>> Paulo Cassiano.
>>>
>>>
>>> Frase do dia: "Não conheço todas as chaves do sucesso, mas uma chave
>> para o
>>> fracasso é tentar agradar a todos." (Rick Warren)
>>>
>>>>
>>>
>>
>>>
>>
>
> >





Celestino Gomes

não lida,
3 de abr. de 2008 18:11:4603/04/2008
para rail...@googlegroups.com
Só para completar o tutorial

no passo 6, eu usei:
sudo make install

[ ]s

--
Celestino Gomes
http://tinogomes.wordpress.com
http://twitter.com/tinogomes

Nenhum de nós é tão bom quanto TODOS NÓS JUNTOS!

Em 03/04/08, Paulo Cassiano <pcas...@gmail.com> escreveu:

Celestino Gomes

não lida,
3 de abr. de 2008 18:16:3103/04/2008
para rail...@googlegroups.com
AH! E me ajudou muito! Pois já estava sofrendo ha muito tempo com isso, mas nem estava esquentando.

:)


--
Celestino Gomes
http://tinogomes.wordpress.com
http://twitter.com/tinogomes

Nenhum de nós é tão bom quanto TODOS NÓS JUNTOS!


Em 03/04/08, Celestino Gomes <tin...@gmail.com> escreveu:

Celestino Gomes

não lida,
3 de abr. de 2008 18:20:5203/04/2008
para rail...@googlegroups.com
Galera,

Sem querer o Paulo colocou o link para o arquivo zip.

Então, para baixar o tar.gz e esse caminho: http://sqlite.org/sqlite-3.5.7.tar.gz

Se quiser ver todos os arquivos disponíveis, basta entrar em: http://sqlite.org/download.html

Celestino Gomes

não lida,
3 de abr. de 2008 18:43:5103/04/2008
para rail...@googlegroups.com
Publique o tutorial com os alguns que comentei.


[ ]s


--
Celestino Gomes
http://tinogomes.wordpress.com
http://twitter.com/tinogomes

Nenhum de nós é tão bom quanto TODOS NÓS JUNTOS!

Em 03/04/08, Celestino Gomes <tin...@gmail.com> escreveu:

Paulo Cassiano

não lida,
3 de abr. de 2008 20:01:2803/04/2008
para rail...@googlegroups.com
Olá Celestino!

Obrigado por "refinar" a minha "obra"! Tua contribuição foi de extrema importância tanto para mim quanto para a Comunidade. ;-)

Forte abraço,

Paulo Cassiano.


2008/4/3 Celestino Gomes <tin...@gmail.com>:
Responder a todos
Responder ao autor
Encaminhar
0 nova mensagem